summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author B. Watson2020-11-28 00:18:00 +0100
committer Willy Sudiarto Raharjo2020-11-28 19:02:55 +0100
commitd89094de010bbeae0646e3fb75f770a6b80e98e7 (patch)
tree8a79cf81baa86cc976a3591715a60565635eaee2 /system
parentde897bc0b45c42c849e8b9363703f676ceffa0d1 (diff)
downloadslackbuilds-d89094de010bbeae0646e3fb75f770a6b80e98e7.tar.gz
system/kfc: Added (terminal-emulator color palette setter)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/kfc/README4
-rw-r--r--system/kfc/kfc.192
-rw-r--r--system/kfc/kfc.SlackBuild71
-rw-r--r--system/kfc/kfc.info10
-rw-r--r--system/kfc/kfc.rst68
-rw-r--r--system/kfc/slack-desc19
6 files changed, 264 insertions, 0 deletions
diff --git a/system/kfc/README b/system/kfc/README
new file mode 100644
index 0000000000..d22ebeff3c
--- /dev/null
+++ b/system/kfc/README
@@ -0,0 +1,4 @@
+kfc (terminal-emulator color palette setter)
+
+kfc uses extended escape codes to set the 16-color ANSI palette in
+supported terminals. Over 300 palettes are included.
diff --git a/system/kfc/kfc.1 b/system/kfc/kfc.1
new file mode 100644
index 0000000000..081636a30c
--- /dev/null
+++ b/system/kfc/kfc.1
@@ -0,0 +1,92 @@
+.\" Man page generated from reStructuredText.
+.
+.TH KFC 1 "2020-11-23" "0.1.2" "SlackBuilds.org"
+.SH NAME
+kfc \- terminal-emulator color palette setter
+.
+.nr rst2man-indent-level 0
+.
+.de1 rstReportMargin
+\\$1 \\n[an-margin]
+level \\n[rst2man-indent-level]
+level margin: \\n[rst2man-indent\\n[rst2man-indent-level]]
+-
+\\n[rst2man-indent0]
+\\n[rst2man-indent1]
+\\n[rst2man-indent2]
+..
+.de1 INDENT
+.\" .rstReportMargin pre:
+. RS \\$1
+. nr rst2man-indent\\n[rst2man-indent-level] \\n[an-margin]
+. nr rst2man-indent-level +1
+.\" .rstReportMargin post:
+..
+.de UNINDENT
+. RE
+.\" indent \\n[an-margin]
+.\" old: \\n[rst2man-indent\\n[rst2man-indent-level]]
+.nr rst2man-indent-level -1
+.\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
+.in \\n[rst2man-indent\\n[rst2man-indent-level]]u
+..
+.\" RST source for kfc(1) man page. Convert with:
+.
+.\" rst2man.py kfc.rst > kfc.1
+.
+.\" rst2man.py comes from the SBo development/docutils package.
+.
+.\" converting from pod:
+.
+.\" s/B<\([^>]*\)>/**\1**/g
+.
+.\" s/I<\([^>]*\)>/*\1*/g
+.
+.SH SYNOPSIS
+.sp
+kfc [\fI\-L\fP] [\fI\-r\fP | \fI\-s palette\fP] [\fI\-l\fP | \fI\-p\fP | \fI\-v\fP]
+.SH DESCRIPTION
+.sp
+This project was inspired by Dylan Arap\(aqs POSIX shell script,
+okpal, which utilizes 16 ANSI colors to control the color scheme
+of existing terminal\-emulator windows. This allows one to achieve
+consistent colors across all terminal utilities and applications. This
+application has similar functionality to okpal but is designed with
+execution speed in mind. There are currently 300 light and dark color
+palettes offered at this time that can be applied and quickly swapped
+out for others.
+.SH OPTIONS
+.INDENT 0.0
+.TP
+.B \-L
+Set light themes (modifier for \-s/\-r)
+.TP
+.B \-r
+Select a random palette (dark theme by default)
+.TP
+.BI \-s \ palette
+Select a palette (dark theme by default)
+.TP
+.B \-l
+List all palettes (dark themes by default)
+.TP
+.B \-p
+Print current palette
+.TP
+.B \-v
+Show version information
+.UNINDENT
+.SH COPYRIGHT
+.sp
+See the file /usr/doc/kfc\-0.1.2/LICENSE for license information.
+.SH AUTHORS
+.sp
+kfc was written by Michael Czigler.
+.sp
+This man page written for the SlackBuilds.org project
+by B. Watson, and is licensed under the WTFPL.
+.SH SEE ALSO
+.sp
+The kfc homepage: \fI\%https://github.com/mcpcpc/kfc\fP
+.\" Generated by docutils manpage writer.
+.
diff --git a/system/kfc/kfc.SlackBuild b/system/kfc/kfc.SlackBuild
new file mode 100644
index 0000000000..29eb4f508f
--- /dev/null
+++ b/system/kfc/kfc.SlackBuild
@@ -0,0 +1,71 @@
+#!/bin/sh
+
+# Slackware build script for kfc
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=kfc
+VERSION=${VERSION:-0.1.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+
+# Squelch this pointless warning.
+sed -i '/"XDG_CONFIG_HOME is not defined/d' $PRGNAM.c
+
+make CFLAGS="$SLKCFLAGS -Wl,-s"
+make install DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE README docs/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# man page by SlackBuild author, culled from README and usage output
+mkdir -p $PKG/usr/man/man1
+gzip -9c < $CWD/$PRGNAM.1 > $PKG/usr/man/man1/$PRGNAM.1.gz
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/kfc/kfc.info b/system/kfc/kfc.info
new file mode 100644
index 0000000000..1f0fd9dec2
--- /dev/null
+++ b/system/kfc/kfc.info
@@ -0,0 +1,10 @@
+PRGNAM="kfc"
+VERSION="0.1.2"
+HOMEPAGE="https://github.com/mcpcpc/kfc"
+DOWNLOAD="https://github.com/mcpcpc/kfc/archive/0.1.2/kfc-0.1.2.tar.gz"
+MD5SUM="edd5b6eb81d85f4e1f7623f623f7c083"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/system/kfc/kfc.rst b/system/kfc/kfc.rst
new file mode 100644
index 0000000000..2fa08b524c
--- /dev/null
+++ b/system/kfc/kfc.rst
@@ -0,0 +1,68 @@
+.. RST source for kfc(1) man page. Convert with:
+.. rst2man.py kfc.rst > kfc.1
+.. rst2man.py comes from the SBo development/docutils package.
+
+.. |version| replace:: 0.1.2
+.. |date| date::
+
+.. converting from pod:
+.. s/B<\([^>]*\)>/**\1**/g
+.. s/I<\([^>]*\)>/*\1*/g
+
+===
+kfc
+===
+
+--------------------------------------
+terminal-emulator color palette setter
+--------------------------------------
+
+:Manual section: 1
+:Manual group: SlackBuilds.org
+:Date: |date|
+:Version: |version|
+
+SYNOPSIS
+========
+
+kfc [*-L*] [*-r* | *-s palette*] [*-l* | *-p* | *-v*]
+
+DESCRIPTION
+===========
+
+This project was inspired by Dylan Arap's POSIX shell script,
+okpal, which utilizes 16 ANSI colors to control the color scheme
+of existing terminal-emulator windows. This allows one to achieve
+consistent colors across all terminal utilities and applications. This
+application has similar functionality to okpal but is designed with
+execution speed in mind. There are currently 300 light and dark color
+palettes offered at this time that can be applied and quickly swapped
+out for others.
+
+OPTIONS
+=======
+
+-L Set light themes (modifier for -s/-r)
+-r Select a random palette (dark theme by default)
+-s palette Select a palette (dark theme by default)
+-l List all palettes (dark themes by default)
+-p Print current palette
+-v Show version information
+
+COPYRIGHT
+=========
+
+See the file /usr/doc/kfc-|version|/LICENSE for license information.
+
+AUTHORS
+=======
+
+kfc was written by Michael Czigler.
+
+This man page written for the SlackBuilds.org project
+by B. Watson, and is licensed under the WTFPL.
+
+SEE ALSO
+========
+
+The kfc homepage: https://github.com/mcpcpc/kfc
diff --git a/system/kfc/slack-desc b/system/kfc/slack-desc
new file mode 100644
index 0000000000..fda7fdcf00
--- /dev/null
+++ b/system/kfc/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+kfc: kfc (terminal-emulator color palette setter)
+kfc:
+kfc: kfc uses extended escape codes to set the 16-color ANSI palette in
+kfc: supported terminals. Over 300 palettes are included.
+kfc:
+kfc:
+kfc:
+kfc:
+kfc:
+kfc:
+kfc: